=== debian/changelog ===
xygrib (1.2.2-2) unstable; urgency=medium

  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for proj6 transition.
    Closes: #931922.
  * Move to debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 14:24:57 +0100

xygrib (1.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #919654)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jan 2019 10:25:25 +0000
