=== debian/control ===
Source: xygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 12),
 dh-buildinfo,
 cmake,
 libz-dev,
 libbz2-dev,
 libproj-dev, 
 qtbase5-dev,
 qttools5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev (>= 6.1.2),
 libgrib2c-dev,
 libopenjp2-7-dev,
 libnova-dev,
 libpng-dev
Standards-Version: 4.3.0
Homepage: https://www.opengribs.org/
Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git

Package: xygrib
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 xygrib-maps,
 fonts-liberation
Replaces: zygrib
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: xygrib-maps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: zygrib-maps
Replaces: zygrib-maps
Description: Maps for XyGrib weather visualization
 This contains maps and country names used by XyGrib.
