=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --buildsystem=cmake

export HOME=`pwd`/debian/tmp
export QT_SELECT=5

CFLAGS += -fPIC

	
override_dh_auto_clean:
	dh_auto_clean 
	rm -rf zyGrib zyGrib.app src/zyGrib src/release/zyGrib.exe
	rm -rf  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1 src/.qmake*
