## xygrib 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 project (XyGrib)
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 5)
 
 set(XYGRIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
-set(XYGRIB_VERSION_DATE "2019-01-13")
+set(XYGRIB_VERSION_DATE "2019-02-16")
 
 set(CMAKE_VERBOSE_MAKEFILE ON)
