=== debian/changelog ===
xygrib (1.2.6-2) unstable; urgency=medium

  * Patch for Qt5, GCC10 FTBFS: Closes: #975162
  * Move to Standards-Version: 4.5.1
  * Use debhelper level 13
  * Move to DEP-14, add d/gbp.conf to point to branches
  * Point VCS-Git to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2020 13:14:48 +0000

xygrib (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Move to Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop obsolete build-dep on libqwt-qt5-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Aug 2019 12:47:49 +0100
