=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  cmake,
  libz-dev,
@@ -11,15 +11,14 @@
  qtbase5-dev,
  qttools5-dev,
  libqt5svg5-dev,
- libqwt-qt5-dev (>= 6.1.2),
  libgrib2c-dev,
  libopenjp2-7-dev,
  libnova-dev,
  libpng-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.opengribs.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
-Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git
+Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git b debian/latest
 
 Package: xygrib
 Architecture: any
