=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+# Workaround for proj_api.h deprecation in PROJ 6.0.0
+export DEB_CXXFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
 
 # The magic debhelper  rule
 %:
