=== debian/changelog ===
xygrib (1.2.6.1-5) unstable; urgency=medium

  * Add debian/watch
  * Standards-Version: 4.7.2
  * Fix FTBFS with Cmake 4. Closes: #1113649

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Sep 2025 10:48:24 +0100

xygrib (1.2.6.1-4) unstable; urgency=medium

  * Standards-Version:: 4.7.0
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jan 2025 11:08:21 +0000

xygrib (1.2.6.1-3) unstable; urgency=medium

  * Add patch via Eugene Savelov for Wayland usability.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 May 2023 09:17:55 +0100

xygrib (1.2.6.1-2) unstable; urgency=medium

  * Build against libg2c-dev instead of libgrib2c-dev. Closes: #1011182

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 May 2022 07:48:34 +0100

xygrib (1.2.6.1-1) unstable; urgency=medium

  * New upstream release. Closes: #998050
  * Drop version.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Oct 2021 10:07:46 +0000

xygrib (1.2.6-3) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Support for Proj8 API. Closes: #983230
  * Typo in vcs-git in d/control
  * version.patch: Update version displayed to 1.2.6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Oct 2021 11:09:20 +0100
