=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xygrib
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-buildinfo,
  cmake,
  libz-dev,
  libbz2-dev,
@@ -11,14 +11,14 @@
  qtbase5-dev,
  qttools5-dev,
  libqt5svg5-dev,
- libgrib2c-dev,
+ libg2c-dev | libgrib2c-dev,
  libopenjp2-7-dev,
  libnova-dev,
  libpng-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://www.opengribs.org/
-Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
-Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/xygrib.git
+Vcs-Git: https://salsa.debian.org/science-team/xygrib.git -b debian/latest
 
 Package: xygrib
 Architecture: any
